2011-12-29  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	Released avr-libc-1.7.1.
	* configure.ac: Bump version.

2011-12-29  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* include/avr/pgmspace.h: Do only include the deprecated prog_*
	typedefs if the user requests this by defining
	__PROG_TYPES_COMPAT__.  If they are generally defined, users are
	being spammed with warning messages as soon as they include the
	header file, regardless of whether they want to use these typedefs
	or not.  Also, it's not good style to deprecate the old typedefs
	but then use them ourselves, so make PGM_P and PGM_VOID_P use
	the correct definitions.

2011-12-29  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* include/avr/iotnx5.h (TIMER1_OVF_vect_num): add definition,
	replacing the misspelled duplicate for TIMER1_OVF_vect

2011-12-29  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* libc/string/strlcat.S: add !__AVR_TINY__ protection

2011-12-28  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	bug #32773: stdiodemo source code is broken
	* doc/examples/stdiodemo/lcd.c: pass an argument when calling
	hd44780_wait_ready()
	* doc/examples/stdiodemo/Makefile: don't attempt to build the
	EEPROM load files, as there are now EEPROM data

2011-12-25  Dmitry Xmelkov  <dmix@gmail.ru>

	Fix for bug #34514: misspelled in math.h
	Thanks to Naotaka Fujita.
	* include/math.h: Fix typo in documentation.
	* NEWS: Add to fixed bug list.

2011-12-24  Dmitry Xmelkov  <dmix@gmail.ru>

	Fix for bug #35093. Thanks to Eric Mertens for the patch.
	* libc/pmstring/strlcat_P.S: Fix X pointer decriment.
	* libc/string/strlcat.S: Fix X pointer decriment.
	* tests/regression/bug-35093.c: New file.
	* NEWS: Add to fixed bug list.

2011-12-09  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	bug #35020: stdint.h: signed types need explicit "signed"
	* include/stdint.h: explicitly declare int*_t types as signed

2011-11-02  Eric B. Weddington  <eric.weddington@atmel.com>

	* include/avr/iox64a1.h (enum TC_EVACT_enum): Fix typo in enum list.
	Compared to iox128a1.h. Thanks to Francois Costin for the fix.

2011-10-19  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* doc/api/faq.dox (faq_assign_chain): Add paragraph about avoiding
	IO register assignment chains.

2011-10-13  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* doc/api/faq.dox (faq_eeprom_corruption): Remove the remarks about
	the EEPROM being erased pagewise, as they are not true.

2011-09-26  Eric B. Weddington <eric.weddington@atmel.com>

	Partial fix for bug #33716.
	* include/avr/pgmspace.h: Deprecate typedefs with __progmem__ attribute.
	Document as such.

2011-09-26  Eric B. Weddington <eric.weddington@atmel.com>

	Fix for bug #33858.
	* include/avr/power.h: Add condition for _AVR_ATmega328_.
	* NEWS: Add to fixed bug list.

2011-09-26  Eric B. Weddington <eric.weddington@atmel.com>

	Fix for bug #33920.
	* include/avr/iotn167.h (ICR): Define ICR to be a word register.
	* NEWS: Add to fixed bug list.

2011-09-22  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* configure.ac (avr_libc_revision, avr_libc_reldate): Bump in
	preparation of an 1.7.2rc.
	* configure.ac (avr_libc_revision_suffix): New macro.

2011-09-14  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	bug #34047: missing math.h include in delay.h
	* util/delay.h.in: include <math.h>

2011-09-14  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* util/delay.h.in: Fall back to the historic algorithm when
	compiling within a freestanding environment.

2011-05-23  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	Reported by Heike C. Zimmerer:
	patch #7362: iom16a.h: USART vectors inconsistently named
	for ATmega16A
	* include/avr/iom16a.h: Add backwards-compatible USART
	interrupt vector names.

2011-05-23  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	Reported by Palauqui Georges:
	patch #7531: Bad name of bit in TCCR0A : WGM0 instead of CTC0
	for ATtinyX61
	* include/avr/iotnx61.h: Add new name CTC0 for bit 0 of
	TCCR0A.

2011-05-14  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	Reported by Markus Lampert:
	* include/avr/iousbxx2.h: Add new names for CLKSTA, CLKSEL0,
	CLKSEL1 (old names have been without the `L').

2011-05-12  Eric B. Weddington  <eric.weddington@atmel.com>

	Patch #7226. Thanks to Avik Juneja for the patch.
	* include/avr/iom8u2.h: Add UPOE register definition and bits.
	* include/avr/power.h: Add ATmega8u2-16u2-32u2 devices in conditional.
	* NEWS: Add to contributed patches list.

2011-05-11  Eric B. Weddington  <eric.weddington@atmel.com>

	Fix for bug #33130. Thanks to Antoine Mercier-Linteau for the patch.
	* doc/examples/twitest/twitest.c: Check for reception of NAK.

2011-05-11  Eric B. Weddington  <eric.weddington@atmel.com>

	Fix for bug #32650.
	* include/util/delay.h.in: Add math.h to list of includes.
	* NEWS: Add to fixed bug list.

2011-05-11  Eric B. Weddington  <eric.weddington@atmel.com>

	Fix for bug #32675.
	* include/avr/power.h: Add TIM1 to power_all_enable() and
	power_all_disable().
	* NEWS: Add to fixed bug list.

2011-05-11  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* include/avr/pgmspace.h: Reorder so __strlen_P is declared by
	the time it is attempted to be used.
	* libc/stdlib/dtostre.c: Part #2 of fix for bug #32988: make
	`s' a `const char *' as it is pointing to a constant (flash)
	string.

2011-05-09  Eric B. Weddington  <eric.weddington@atmel.com>

	Fix for bug #32988.
	* include/avr/pgmspace.h: Add const keyword to PSTR definition.
	* NEWS: Add to fixed bug list.

2011-05-09  Eric B. Weddington  <eric.weddington@atmel.com>

	Fix for bug #33230.
	* include/avr/sleep.h: Move conditionals for devices attiny261,
	attiny261a, attiny461, attiny461a, attiny861, attiny861a to
	correct location.
	* NEWS: Add to fixed bug list.

2011-05-09  Eric B. Weddington  <eric.weddington@atmel.com>

	Fix for bug #33238.
	* include/avr/iom8u2.h: Fix _VECTORS_SIZE value.
	* include/avr/iom16u2.h: Same.
	* include/avr/iom32u2.h: Same.
	* NEWS: Add to fixed bug list.

2011-03-17  Eric B. Weddington  <eric.weddington@atmel.com>

	* include/avr/iotn11.h: Poison deprecated items.
	* include/avr/iotn12.h: Same.
	* include/avr/iotn13.h: Same.
	* include/avr/iotn15.h: Same.
	* include/avr/iotn22.h: Same.
	* include/avr/iotn2313.h: Same. Also: remove duplicate definitions.
	* include/avr/iotn26.h: Same.
	* include/avr/iotn28.h: Same.

2011-03-16  Eric B. Weddington  <eric.weddington@atmel.com>

	* include/avr/iom3290.h: Poison deprecated items.
	* include/avr/iom32m1.h: Same.
	* include/avr/iom64.h: Same.
	* include/avr/iom645.h: Same.
	* include/avr/iom6450.h: Same.
	* include/avr/iom649.h: Same.
	* include/avr/iom8.h: Same.
	* include/avr/iom8515.h: Same.
	* include/avr/iom8535.h: Same.
	* include/avr/iomx8.h: Same.
	* include/avr/iomxx4.h: Same.
	* include/avr/iomxx0_1: Same. Also add missing vector number
	definitions.

2011-03-15  Eric B. Weddington  <eric.weddington@atmel.com>

	* include/avr/iom323.h: Poison deprecated items.
	* include/avr/iom325.h: Same.
	* include/avr/iom3250.h: Same.
	* include/avr/iom329.h: Same.

2011-03-08  Eric B. Weddington  <eric.weddington@atmel.com>

	* include/avr/iom32.h: Poison deprecated items.

2011-03-08  Anitha Boyapati <anitha.boyapati@atmel.com>

	Fix for bug #32698.
	* include/avr/power.h: Fix #endif error for Xmega A series.

2011-03-06  Eric B. Weddington  <eric.weddington@atmel.com>

	* include/avr/iom163.h: Poison deprecated items.
	* include/avr/iom165.h: Same.
	* include/avr/iom165p.h: Same.
	* include/avr/iom169.h: Same.
	* include/avr/iom169p.h: Same.

2011-03-05  Eric B. Weddington  <eric.weddington@atmel.com>

	* include/avr/iom162.h: Poison deprecated items.

2011-03-05  Eric B. Weddington  <eric.weddington@atmel.com>

	* include/avr/iom161.h: Poison deprecated items.

2011-03-05  Eric B. Weddington  <eric.weddington@atmel.com>

	* include/avr/iom16.h: Poison deprecated items.

2011-03-04  Eric B. Weddington  <eric.weddington@atmel.com>

	* include/avr/iom103.h: Poison deprecated items.

2011-03-04  Eric B. Weddington  <eric.weddington@atmel.com>

	* include/avr/iom128.h: Poison deprecated items.

2011-03-02  Eric B. Weddington  <eric.weddington@atmel.com>

	Fix for bug #23234.
	* include/avr/iousbxx2.h: Add *_vect_num definitions.
	* include/avr/iousbxx6_7.h: Same.
	* include/avr/iotnx61.h: Same.
	* include/avr/iotn43u.h: Same.
	* include/avr/iotn48.h: Same.
	* include/avr/iotn88.h: Same.
	* include/avr/iotnx4.h: Same.
	* include/avr/iotnx5.h: Same.
	* include/avr/iotn28.h: Same.
	* include/avr/iotn26.h: Same.
	* include/avr/iotn11.h: Same.
	* include/avr/iotn12.h: Same.
	* include/avr/iotn13.h: Same.
	* include/avr/iotn15.h: Same.
	* include/avr/iotn167.h: Same.
	* include/avr/iotn22.h: Same.
	* include/avr/iotn2313.h: Same.
	* include/avr/iom103.h: Same.
	* include/avr/iom128.h: Same.
	* include/avr/iom1284.h: Same.
	* include/avr/iom16.h: Same.
	* include/avr/iom161.h: Same.
	* include/avr/iom162.h: Same.
	* include/avr/iom163.h: Same.
	* include/avr/iomxxhva.h: Same.
	* include/avr/iomxx4.h: Same.
	* include/avr/iomxx0_1.h: Same.
	* include/avr/iomx8.h: Same.
	* include/avr/iom88p.h: Same.
	* include/avr/iom8535.h: Same.
	* include/avr/iom8515.h: Same.
	* include/avr/iom165.h: Same.
	* include/avr/iom8.h: Same.
	* include/avr/iom6490.h: Same.
	* include/avr/iom165p.h: Same.
	* include/avr/iom649.h: Same.
	* include/avr/iom168p.h: Same.
	* include/avr/iom169.h: Same.
	* include/avr/iom169p.h: Same.
	* include/avr/iom32.h: Same.
	* include/avr/iom323.h: Same.
	* include/avr/iom325.h: Same.
	* include/avr/iom3250.h: Same.
	* include/avr/iom328p.h: Same.
	* include/avr/iom329.h: Same.
	* include/avr/iom3290.h: Same.
	* include/avr/iom32hvbrevb.h: Same.
	* include/avr/iom32u4.h: Same.
	* include/avr/iom406.h: Same.
	* include/avr/iom48p.h: Same.
	* include/avr/iom64.h: Same.
	* include/avr/iom645.h: Same.
	* include/avr/iom6450.h: Same.
	* include/avr/iocanxx.h: Same.
	* include/avr/io90pwm1.h: Same.
	* include/avr/io90pwm216.h: Same.
	* include/avr/io1200.h: Same.
	* include/avr/io2343.h: Same.
	* include/avr/io2323.h: Same.
	* include/avr/io86r401.h: Same.
	* include/avr/io2313.h: Same.
	* include/avr/io2333.h: Same.
	* include/avr/io4434.h: Same.
	* include/avr/io4433.h: Same.
	* include/avr/io4414.h: Same.
	* include/avr/io8535.h: Same.
	* include/avr/io8515.h: Same.
	* include/avr/io90pwmx.h: Same.
	* include/avr/io90pwm3b.h: Same.
	* include/avr/io90pwm316.h: Same.
	* include/avr/io90pwm2b.h: Same.
	* include/avr/iom16hvbrevb: Also, update copyright year, change device name
	(rev b version is the older version).
	* include/avr/iom32hvbrevb: Same.
	* NEWS: Add item.

2011-02-23  Eric B. Weddington  <eric.weddington@atmel.com>

	Partial fix for bug #28058, comment #2.
	Thanks to Jan Waclawek for the code.
	* include/avr/pgmspace.h: Add new strlen_P inline function.
	* libc/pmstring/strlen_P.S: Rename function to __strlen_P.
	* NEWS: Add item.

2011-02-23  Eric B. Weddington  <eric.weddington@atmel.com>

	Fix for bug #17815.
	* doc/api/Makefile.am (install-dox-man): Rewrite to fix install
	location to use mandir configuration option.
	* NEWS: Add item to fixed bugs list.

2011-02-22  Eric B. Weddington  <eric.weddington@atmel.com>

	* doc/api/tools-install.dox: Partial documentation changes
	for building avr-libc for MinGW/Windows.

2011-02-22  Eric B. Weddington  <eric.weddington@atmel.com>

	Fix for bug #24861.
	* include/avr/interrupt.h: Remove extra code blocks in documentation.
	Fix spacing.
	* NEWS: Add item to fixed bugs list.

2011-02-21  Eric B. Weddington  <eric.weddington@atmel.com>

	Fix for bug #32103. Thanks to Thomas Rudin for fix.
	* configure.ac: Fix wildcards in searching for cross tools.
	* NEWS: Add item to fixed bugs list.

2011-02-21  Eric B. Weddington  <eric.weddington@atmel.com>

	Fix for bug #32419.
	* include/avr/iox192a3.h (*EEPROM_SIZE): Fix values.
	* NEWS: Add item to fixed bugs list.

2011-02-16  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* configure.ac: Bump for post-release.

2011-02-16  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	Released avr-libc-1.7.1.

2011-02-16  Anitha Boyapati <anitha.boyapati@atmel.com>

	* include/avr/power.h: Changes to power_all_enable()/disable() for 
	Xmega A and D family

2011-02-14  Anitha Boyapati <anitha.boyapati@atmel.com>

	Thanks to Praveen Kaushik <Praveen_Kumar.Kaushi@atmel.com> for the device
	support.
	* configure.ac: Support for ATMega16HVB RevB, ATMega32HVB RevB.
	* devtools/gen-avr-lib-tree.sh: Same.
	* doc/api/main_page.dox: Same.
	* doc/api/using-tools.dox: Same.
	* include/avr/eeprom.h: Same.
	* include/avr/io.h: Same.
	* include/avr/iom16hvb.h: Header file regenerated.
	* include/avr/iom16hvbrevb.h: Added newly.
	* include/avr/iom32hvb.h: Header file regenerated.
	* include/avr/iom32hvbrevb.h: Added newly.
	* include/avr/Makefile.am: Support for atmega16HVB RevB, 
	ATMega32HVB RevB.
	* include/avr/power.h: Same.
	* include/avr/sleep.h: Same.
	* include/avr/wdt.h: Same.

2011-02-14  Anitha Boyapati <anitha.boyapati@atmel.com>

	Thanks to Usha Gupta <usha.gupta@atmel.com> for the device
	support.
	* include/avr/io.h: Support for AVR Tiny84a
	* include/avr/iotn84a.h: Same.
	* include/avr/Makefile.am: Same.

2011-02-14  Anitha Boyapati <anitha.boyapati@atmel.com>

	Fix for #bug31873
	* include/avr/power.h: Modifications to power_aes_enable/disable() 
    power_all_enable/disable() functions for Xmega devices. 

2011-02-11  Anitha Boyapati <anitha.boyapati@atmel.com>

	Thanks to Praveen Kaushik <Praveen_Kumar.Kaushi@atmel.com> for
	the fix for #bug31990.
	* include/avr/io90pwm81.h: PRPSC0 is renamed to PRPSCR in sync 
	with device XML file.
	* include/avr/power.h:	power_psc0_enable()/disable() have been 
	renamed to power_pscr_enable()/disable(). Documentation changes
	to include PWM81 are also done.



2011-02-09  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* include/avr/iom8x.h (_VECTORS_SIZE): fix wrong vector table size
	for ATmega168A devices.
